Welcome to the forums. Please post in English or French.

You are not logged in.

#1 2009-06-05 18:04:06

cacciatorino
Member
From: Porto Recanati, Italy
Registered: 2008-11-05
Posts: 749

ASTER 9.4 does not work anymore after upgrading OS

I have upgraded my Mandriva 64bit from 2009.0 to 2009.1.

Now Aster does not work anymore. It starts, shows the shell window for a few secodns and then it exit with an "ABNORMAL ERROR".

Since to reinstall 2009.0 is a long and tedious work, is there a way to solve the problem without roll back to 2009.0?

I have installed Aster using Intel compilers.

I attach my flasheur directory.

Last edited by cacciatorino (2009-06-05 18:22:01)


Attachments:
flasheur.tar.gz, Size: 3.92 KiB, Downloads: 452

Offline

#2 2009-06-08 09:57:23

ThTh
Member
From: Lyon, France
Registered: 2007-12-23
Posts: 42
Website

Re: ASTER 9.4 does not work anymore after upgrading OS

cacciatorino wrote:

I attach my flasheur directory.

Stangely, the attached file has been gzipped twice!

The interesting part is:

=======================================================================
( ./asteru Python/Execution/E_SUPERV.py -eficas_path ./Python -commandes fort.1 -rep none  -num_job 20787 -mode interactif -rep_outils /opt/aster/outils -rep_mat /opt/aster/STA9.4/materiau -rep_dex /opt/aster/STA9.4/datg -suivi_batch -memjeveux 375.0 -tpmax 356400 ; echo EXECUTION_CODE_ASTER_EXIT_20787=$?) | tee fort.6 ; exit `grep -a EXECUTION_CODE_ASTER_EXIT_20787 fort.6 | sed -e 's/EXECUTION_CODE_ASTER_EXIT_20787=//'`
background : False

-------------------------------------------------------------------------------
>>> 000000029  [local_shell@/opt/aster/ASTK/ASTK_SERV/lib/as_system.py:339]

ERROR : iret = 1
Could not find platform independent libraries <prefix>
Could not find platform dependent libraries <exec_prefix>
Consider setting $PYTHONHOME to <prefix>[:<exec_prefix>]
'import site' failed; use -v for traceback
Traceback (most recent call last):
  File "Python/Execution/E_SUPERV.py", line 29, in <module>
    import os
ImportError: No module named os
EXECUTION_CODE_ASTER_EXIT_20787=1
=======================================================================

Did'nt you move any file after the installation?


--
Th. Thomas.

Offline

#3 2009-06-08 10:14:20

cacciatorino
Member
From: Porto Recanati, Italy
Registered: 2008-11-05
Posts: 749

Re: ASTER 9.4 does not work anymore after upgrading OS

ThTh wrote:

Did'nt you move any file after the installation?

Thank you for your attention!


It seems to me that I didn't touch nothing, but I'm not totally sure.

I have two pc, a desktop and a laptop. First, I upgraded Mandriva to 2009.1 on the laptop and I experienced the problem. I reinstalled 2009.0 on the laptop and then Aster came-back to work again.

After this, I upgraded operating system on the desktop, and I had the same problem. Now I was looking a way to avoid to reinstall again the os (it needs a lot of time), and because it is better to understand the problem to avoid to fall again in troubles at the next on-line update of Mandriva.

Last edited by cacciatorino (2009-06-08 10:16:37)

Offline

#4 2009-06-08 11:53:11

Thomas DE SOZA
Guru
From: EDF
Registered: 2007-11-23
Posts: 3,066

Re: ASTER 9.4 does not work anymore after upgrading OS

Hi Alessandro,

You may try to recreate the Aster executable, since some dynamic libraries may have been updated during the upgrade, though it should not be a problem. To do that, go to the STA9.4 directory, delete the executables "asterd" and "asteru" then do a "make" in the shell.

Another thing : the error reported by ThTh usually comes from a bad sourcing of the environment shell scripts. Try do set correctly the environment in a shell by sourcing the aster_profile.sh script ("source /...../aster_profile.sh") then try to launch the executable "/opt/aster/STA9.4/asteru" and do "import aster" once the Python executable has launched.

TdS

Offline

#5 2009-06-08 13:30:00

cacciatorino
Member
From: Porto Recanati, Italy
Registered: 2008-11-05
Posts: 749

Re: ASTER 9.4 does not work anymore after upgrading OS

Thanks a lot to ThTh and Thomas,
I will try to follow your suggestions tomorrow or thursday. Stay tuned!!! :-)

Regards, Alessandro.

Offline

#6 2009-06-09 15:09:03

cacciatorino
Member
From: Porto Recanati, Italy
Registered: 2008-11-05
Posts: 749

Re: ASTER 9.4 does not work anymore after upgrading OS

Thomas DE SOZA wrote:

You may try to recreate the Aster executable, since some dynamic libraries may have been updated during the upgrade, though it should not be a problem. To do that, go to the STA9.4 directory, delete the executables "asterd" and "asteru" then do a "make" in the shell.

This didn't worked:


[root@cad7 STA9.4]# make


blah
blah
blah
...
...
Archive object files                                                           

   0 / 6138 objects added to archive...                                 [ SKIP ]
<INFO> 6138 files archived                                                      
<INFO> 6138 files skipped (objects older than library)                          

--------------------------------------------------------------------------------
 Archive object files                                                           

   0 / 1184 objects added to archive...                                 [ SKIP ]
<INFO> 1184 files archived                                                      
<INFO> 1184 files skipped (objects older than library)                          

--------------------------------------------------------------------------------
 Build Code_Aster executable                                                    

extracting 'python.o' from libasterd.a...                               [  OK  ]
creating .../STA9.4/asterd...                                           [FAILED]
Exit code : 1                                                                   
ipo: warning #11010: file format not recognized for /usr/lib/libieee.a, possible linker script
ipo: warning #11010: file format not recognized for /usr/lib/libdl.so, possible linker script 
ipo: warning #11010: file format not recognized for /usr/lib/libutil.so, possible linker script
ipo: warning #11010: file format not recognized for /usr/lib/libm.so, possible linker script   
ipo: warning #11010: file format not recognized for /lib/libpthread.so.0, possible linker script
ipo: warning #11010: file format not recognized for /usr/lib/libz.so, possible linker script
ipo: warning #11010: file format not recognized for /lib/libpthread.so.0, possible linker script
ipo: warning #11010: file format not recognized for /usr/lib/libm.so, possible linker script
ipo: warning #11010: file format not recognized for /lib/libpthread.so.0, possible linker script
ipo: warning #11010: file format not recognized for /lib/libc.so.6, possible linker script
ipo: warning #11010: file format not recognized for /usr/lib/libgcc_s.so, possible linker script
ipo: warning #11010: file format not recognized for /usr/lib/libdl.so, possible linker script
ipo: warning #11010: file format not recognized for /lib/libc.so.6, possible linker script
ld: cannot find -lpython2.5


<E>_LINK_ERROR     error during linking



 ---------------------------------------------------------------------------------
                                            cpu     system    cpu+sys    elapsed
 ---------------------------------------------------------------------------------
   Compilation in debug mode               0.70       0.31       1.01       1.76
   Add object files to library             0.16       0.04       0.20       2.21
   Build executables                      13.61       1.16      14.77      20.01
 ---------------------------------------------------------------------------------
   Total time                             14.83       1.65      16.48      25.19
 ---------------------------------------------------------------------------------


------------------------------------------------------------
--- DIAGNOSTIC JOB : <F>_LINK_ERROR
------------------------------------------------------------


EXIT_CODE=4
make: *** [all] Error 4
[root@cad7 STA9.4]#
Thomas DE SOZA wrote:

Another thing : the error reported by ThTh usually comes from a bad sourcing of the environment shell scripts. Try do set correctly the environment in a shell by sourcing the aster_profile.sh script ("source /...../aster_profile.sh") then try to launch the executable "/opt/aster/STA9.4/asteru" and do "import aster" once the Python executable has launched.

This din't worked too, tried the following but still the same error:

[sti@cad7 STA9.4]$ ./asteru
./asteru: error while loading shared libraries: libiomp5.so: cannot open shared object file: No such file or directory

[root@cad7 STA9.4]# ln -s /opt/intel/Compiler/11.0/083/lib/intel64/libiomp5.so /usr/lib64/libiomp5.so

[sti@cad7 STA9.4]$ ./asteru
Could not find platform independent libraries <prefix>
Could not find platform dependent libraries <exec_prefix>
Consider setting $PYTHONHOME to <prefix>[:<exec_prefix>]
'import site' failed; use -v for traceback
Python 2.5.2 (r252:60911, Jan  8 2009, 13:05:10)
[GCC 4.3.2] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import aster

I attach my flasheur dir again.


Attachments:
provare.o6349.tar.gz, Size: 3.99 KiB, Downloads: 416

Offline

#7 2009-06-09 15:30:22

cacciatorino
Member
From: Porto Recanati, Italy
Registered: 2008-11-05
Posts: 749

Re: ASTER 9.4 does not work anymore after upgrading OS

May be the problem is due to the fact that the update upgraded python from 2.5 to 2.6?

I'm not able to rollback to python 2.5 but I see that in 2009.0 there is only 2.5, while in 2009.1 (upgraded from 2009.0) I have both 2.5 and 2.6.

Edit: I have corrected "in 2009.1 there is only 2.5" to "in 2009.0 there is only 2.5", it was a mistyping.

Last edited by cacciatorino (2009-06-09 18:27:56)

Offline

#8 2009-06-09 16:52:06

Thomas DE SOZA
Guru
From: EDF
Registered: 2007-11-23
Posts: 3,066

Re: ASTER 9.4 does not work anymore after upgrading OS

cacciatorino wrote:

May be the problem is due to the fact that the update upgraded python from 2.5 to 2.6?

I'm not able to rollback to python 2.5 but I see that in 2009.1 there is only 2.5, while in 2009.1 (upgraded from 2009.0) I have both 2.5 and 2.6.

Quite certainely. That would explain why the linker doesn't find python2.5.

First thing you can try is to install python2.5 in Mandriva.

Second thing if it doesn't work, you can try doing a "make clean" then "make". This will recompile entirely aster itself. First make sure that any library or include found in the "config.txt" file is still here.

TdS

Offline

#9 2009-06-10 08:49:43

cacciatorino
Member
From: Porto Recanati, Italy
Registered: 2008-11-05
Posts: 749

Re: ASTER 9.4 does not work anymore after upgrading OS

Thomas DE SOZA wrote:

Second thing if it doesn't work, you can try doing a "make clean" then "make". This will recompile entirely aster itself. First make sure that any library or include found in the "config.txt" file is still here.

Doing "make clean" and "make" the system complains of beeing unable to find "Python.h" (catastrophic error!).

I think I made a big mess on my system adding and removing software, I will reinstall it from scratch!

Thank you for your attention and time!

Offline

#10 2009-06-15 11:02:07

jcugnoni
Member
Registered: 2007-12-05
Posts: 64

Re: ASTER 9.4 does not work anymore after upgrading OS

python.h comes usually in a python-dev package... maybe it has not been kept in the upgrade process, try to reinstall it!

Offline